=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export AUTOCONF = autoconf2.13

DEB_HOST_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

VENDOR ?= $(shell dpkg-vendor --query vendor)

SRCDIR = $(CURDIR)/js/src

ifeq ($(VENDOR), Debian)
ifneq (,$(findstring $(DEB_BUILD_ARCH),armel))
        CONFIGURE_FLAGS += --disable-methodjit
endif
endif

ifeq ($(VENDOR), Ubuntu)
ifneq (,$(findstring $(DEB_BUILD_ARCH),armel armhf))
        CONFIGURE_FLAGS += --enable-thumb2
endif
endif

%:
	dh $@ --sourcedirectory=$(SRCDIR) --with pkgkde-symbolshelper --without autoreconf

override_dh_clean:
	dh_clean
	find $(CURDIR)/js/src/ \( -type l  -o -name \*.pyc \) -exec rm {} \;
	rm -f $(CURDIR)/js/src/config/nsinstall
	rm -f $(CURDIR)/js/src/dist/bin/.purgecaches
	rm -f  $(CURDIR)/js/src/js38-config $(CURDIR)/js/src/mozjs-38.pc \
		$(CURDIR)/js/src/symverscript
	rm -f $(CURDIR)/js/src/config.log
	rm -f $(CURDIR)/js/src/configure

# dh_auto_configure does not properly handle autoconf2.13 generated configure
# scripts, so we call configure ourselves.
# http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=570375
override_dh_auto_configure:
	cd $(SRCDIR) && SHELL=/bin/sh && autoconf2.13 && PYTHON=python ./configure \
		--host=$(DEB_HOST_GNU_TYPE) \
		--build=$(DEB_BUILD_GNU_TYPE) \
		--prefix=/usr \
		--libdir=/usr/lib/${DEB_HOST_MULTIARCH}/ \
		--with-system-icu \
		--with-system-nspr \
		--with-system-zlib \
		--enable-tests \
		--disable-strip \
		--enable-ctypes \
		--enable-threadsafe \
		--enable-system-ffi \
		--with-intl-api \
		--enable-readline \
		--enable-xterm-updates \
		--enable-shared-js \
		--enable-gcgenerational \
		--disable-optimize \
		--enable-pie \
		$(CONFIGURE_FLAGS)

override_dh_install:
	# move library and create additional symlinks to standardize the file layout
	cd $(CURDIR)/debian/tmp/usr/lib/${DEB_HOST_MULTIARCH}/ && \
		mv libjs_static.ajs libmozjs-38.a && \
		mv libmozjs-38.so libmozjs-38.so.0.0.0 && \
		ln -s libmozjs-38.so.0.0.0 libmozjs-38.so.0 && \
		ln -s libmozjs-38.so.0 libmozjs-38.so
	rm debian/tmp/usr/lib/${DEB_HOST_MULTIARCH}/libmozjs-38.a
	rm debian/tmp/usr/bin/js38
	dh_install --fail-missing

override_dh_fixperms:
	dh_fixperms
	chmod a-x $(CURDIR)/debian/libmozjs-38-dev/usr/lib/${DEB_HOST_MULTIARCH}/pkgconfig/mozjs-38.pc

override_dh_strip:
	dh_strip -p libmozjs-38-0 --dbgsym-migration=libmozjs-38-0-dbg
	dh_strip

override_dh_auto_test:
ifeq (,$(findstring nocheck,$(DEB_BUILD_OPTIONS)))
	make -C $(SRCDIR) -k check || true
endif

.PHONY: override_dh_clean override_dh_auto_configure override_dh_install \
	override_dh_strip override_dh_auto_test
