## mozjs38 38.8.0~repack1

=== debian/changelog ===
mozjs38 (38.8.0~repack1-0ubuntu4) bionic; urgency=medium

  * No-change rebuild for icu soname change.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 07 Nov 2017 08:54:34 +0000

mozjs38 (38.8.0~repack1-0ubuntu3) bionic; urgency=medium

  * Add one more test to skip-icu-tests.patch for icu 59

 -- Jeremy Bicha <jbicha@ubuntu.com>  Fri, 27 Oct 2017 10:20:09 -0400

mozjs38 (38.8.0~repack1-0ubuntu2) bionic; urgency=medium

  * No-change rebuild for libicu soname change.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 25 Oct 2017 15:45:26 +0000

mozjs38 (38.8.0~repack1-0ubuntu1) artful; urgency=medium

  * SECURITY UPDATE: Build from final Firefox 38 ESR tarball to fix
    numerous security vulnerabilities (LP: #1683103)
    - Use debian/repack* scripts to drop the extra files not shipped
      in the mozjs release tarballs.
    - CVE-2015-4513, CVE-2016-1930, CVE-2016-1952,
      CVE-2016-2805, CVE-2016-2807, CVE-2016-2808
  * Update package description
  * Use gnome-pkg-tools (for sponsorship by Debian GNOME)

 -- Jeremy Bicha <jbicha@ubuntu.com>  Sun, 16 Apr 2017 14:45:59 -0400

mozjs38 (38.2.1~rc0-0ubuntu6) zesty; urgency=medium

  * Add debian/patches/disable-strict-aliasing.patch (LP: #1682631):
    - Patch from Brian Vincent to enable ~50 build tests to pass by
      using -fno-strict-aliasing, might reduce GNOME Shell crashes
  * Add debian/patches/skip-icu-tests.patch:
    - Skip 3 tests that fail because we use a newer system ICU
  * debian/rules:
    - Enable build tests on all architectures except arm64, ppc64el, s390x

 -- Jeremy Bicha <jbicha@ubuntu.com>  Sat, 15 Apr 2017 13:07:59 -0400
