=== debian/rules ===
--- 
+++ 
@@ -27,7 +27,7 @@
 endif
 
 %:
-	dh $@ --sourcedirectory=$(SRCDIR) --with pkgkde-symbolshelper --without autoreconf
+	dh $@ --sourcedirectory=$(SRCDIR) --with gnome,pkgkde-symbolshelper --without autoreconf
 
 override_dh_clean:
 	dh_clean
@@ -80,14 +80,20 @@
 	dh_fixperms
 	chmod a-x $(CURDIR)/debian/libmozjs-38-dev/usr/lib/${DEB_HOST_MULTIARCH}/pkgconfig/mozjs-38.pc
 
+override_dh_gnome:
+	dh_gnome --no-gnome-versions
+
 override_dh_strip:
 	dh_strip -p libmozjs-38-0 --dbgsym-migration=libmozjs-38-0-dbg
 	dh_strip
 
+# Don't fail the build on arches where the tests are known to fail
+# https://bugzilla.mozilla.org/1357593
 override_dh_auto_test:
 ifeq (,$(findstring nocheck,$(DEB_BUILD_OPTIONS)))
-	make -C $(SRCDIR) -k check || true
+ifeq (,$(filter $(DEB_HOST_ARCH),arm64 ppc64el s390x))
+	make -C $(SRCDIR) -k check-jstests
+else
+	make -C $(SRCDIR) -k check-jstests || true
 endif
-
-.PHONY: override_dh_clean override_dh_auto_configure override_dh_install \
-	override_dh_strip override_dh_auto_test
+endif
